org.apache.ignite.internal.processors.cache.persistence.wal.serializer

## Class SegmentHeader

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.wal.serializer.SegmentHeader

    public class SegmentHeader
    extends Object

WAL segment header info.

### Constructor Summary

Constructors
Constructor and Description
`SegmentHeader(int serializerVersion, boolean isCompacted)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getSerializerVersion()`
`boolean` `isCompacted()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SegmentHeader

    public SegmentHeader(int serializerVersion,
                         boolean isCompacted)

Parameters:
  `serializerVersion` - Serializer version.
  `isCompacted` - Compacted flag.

### Method Detail

#### getSerializerVersion

    public int getSerializerVersion()

Returns:
  Record serializer version.

#### isCompacted

    public boolean isCompacted()

Returns:
  Comacted flag.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020